#!/bin/bash
for f in $(ls | grep -v "\./")
do
   git -C "${f}" branch -vv >/dev/null 2>&1
   if [ ${?} -eq 0 ]
   then
       git -C "${f}" pull --rebase >/dev/null 2>&1
       if [ $? -eq 0 ]
       then
           echo "${f}: update done"
       else
           echo "${f}: update error"
       fi
   fi
done
